Migration 4.3.7 zu Shopware 5

Hallo zusammen,

da ich von 4.3.7 nicht sofort auf Shopware 6 migrieren kann, habe ich einen alternativen 5.6.3er Store angelegt.
Das Problem: Egal was ich per CSV importieren möchte -  es klappt nicht.

Bei Kategorien erscheint 

„Die Kategorie ID ist ein Pflichtfeld. Wenn keine ID mitimportiert wird wäre es nicht möglich Kind- und Vaterkategorien zu referenzieren.“

Laut geöffneter CSV ist die ID aber drin.

Bei Aritkeln „fehlen“ die Hauptbestellnummern, bei Artikelbildern existieren keine Artikel, was ich aber noch logisch finde, da sich ja nichts anlegen lässt.

 

Die anderen Formate, die Shopware 4 ausspuckt funktionieren überhaupt nicht. Gibt es da irgendeinen Trick oder ein Tool?

Schönen Abend euch :slight_smile:

 

Würde ich mir sparen. Es macht die Sache nicht leichter.

Sparen?

Hab ich einen anderen Weg von 4 auf 6 verpasst?

@Chinni schrieb:

Sparen?

Hab ich einen anderen Weg von 4 auf 6 verpasst?

Gibt es einen Weg von 5 auf 6? 

Das zum 6er gehörige Migratonstool kann eine Verbindung mit 5 herstellen zum migrieren, soweit ich weiß.
Verbinden konnte ich die Shops ebenfalls einwandfrei.

 

Nur von 4 auf 5 hakt leider :smiley:

@NextMike schrieb:

@Chinni schrieb:

Sparen?

Hab ich einen anderen Weg von 4 auf 6 verpasst?

Gibt es einen Weg von 5 auf 6? 

Ich würde das auch anders machen. Setz dir eine Kopie des 4er Shops auf und mach ein Update auf 5.6.2. Du brauchst eh nur die Datenbank zur Migration, das Frontend muss dafür ja nicht laufen.

1 Like

Auf git kann man sich ja die alten 5er Versionen runter laden. Ggf. rückwärts gucken ab 5.6.2 welche jeweilige Mindestversion benötigt wird. Von 4.3.7 in einer Shopkopie ohne Plugins auf 5.0.x und dann hoch bis 5.6.2 in Teilschritten. Da dann das Migrationsplugin installieren. Wäre ggf. ein Weg ohne Ex- und Import.

Edit: Da war der Moritz wieder flotter mit dem Tippen

2 Likes

Das klingt auch nach einer Lösung. Warum kommt man nicht von selbst auf sowas. Vielen vielen Dank  Thumb-Up